# wxArchiveInputStream Class Reference
[Archive support, Streams]

`#include <wx/archive.h>`

Inheritance diagram for wxArchiveInputStream:
[legend]

## Detailed Description

This is an abstract base class which serves as a common interface to archive input streams such as wxZipInputStream.

wxArchiveInputStream::GetNextEntry returns an wxArchiveEntry object containing the meta-data for the next entry in the archive (and gives away ownership).

Reading from the wxArchiveInputStream then returns the entry's data. Eof() becomes true after an attempt has been made to read past the end of the entry's data.

When there are no more entries, GetNextEntry() returns NULL and sets Eof().

##

Library: wxBase

Category: Archive support, Streams

See also:
  Archive Formats, wxArchiveEntry, wxArchiveOutputStream

## Public Member Functions
virtual bool | CloseEntry ()=0
| Closes the current entry.
wxArchiveEntry * | GetNextEntry ()
| Closes the current entry if one is open, then reads the meta-data for the next entry and returns it in a wxArchiveEntry object, giving away ownership.
virtual bool | OpenEntry (wxArchiveEntry &entry)=0
| Closes the current entry if one is open, then opens the entry specified by the wxArchiveEntry object.

List of all members.

## Member Function Documentation

virtual bool wxArchiveInputStream::CloseEntry | ( |  | ) | `[pure virtual]`

Closes the current entry.

On a non-seekable stream reads to the end of the current entry first.

Implemented in wxTarInputStream, and wxZipInputStream.

wxArchiveEntry* wxArchiveInputStream::GetNextEntry | ( |  | ) |

Closes the current entry if one is open, then reads the meta-data for the next entry and returns it in a wxArchiveEntry object, giving away ownership.

Reading this wxArchiveInputStream then returns the entry's data.

Reimplemented in wxTarInputStream, and wxZipInputStream.

virtual bool wxArchiveInputStream::OpenEntry | ( | wxArchiveEntry & | entry | ) | `[pure virtual]`

Closes the current entry if one is open, then opens the entry specified by the wxArchiveEntry object.

entry must be from the same archive file that this wxArchiveInputStream is reading, and it must be reading it from a seekable stream.

|  | [ top ]